Index: rtp.c
===================================================================
--- rtp.c	(revision 66436)
+++ rtp.c	(revision 66437)
@@ -2743,7 +2743,7 @@
 			ast_smoother_feed(rtp->smoother, _f);
 		}
 
-		while((f = ast_smoother_read(rtp->smoother)))
+		while((f = ast_smoother_read(rtp->smoother)) && (f->data))
 			ast_rtp_raw_write(rtp, f, codec);
 	} else {
 	        /* Don't buffer outgoing frames; send them one-per-packet: */
@@ -2752,7 +2752,8 @@
 		} else {
 			f = _f;
 		}
-		ast_rtp_raw_write(rtp, f, codec);
+		if (f->data)
+			ast_rtp_raw_write(rtp, f, codec);
 		if (f != _f)
 			ast_frfree(f);
 	}
